/* Global Styles */
* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

.header,
.footer-container,
.pre-footer {
  display: none;
}


html {
    scroll-behavior: smooth;
}
body {
    line-height: 1.6;
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
}

header, section, footer {
    width: 100%;
}

.container {
    max-width: 1300px;
    width: 100%;
    margin: 0 auto;
    padding: 20px;
    background: white;
}

h1, h2 {
    text-align: center;
}

h1 {
    font-size: 1.5em;
    font-family: 'DM Sans', sans-serif;
    font-weight: 700;
    color: #fff;
    padding-bottom: 1rem;
}

h2 {
    margin-top: 10px;
    font-size: 1.5em;
    font-family: 'DM Sans', sans-serif;
    font-weight: 700;
}

p {
    font-family: 'Fira Sans', sans-serif;
    font-weight: 400;
}

.subtitle {
    font-size: 1.2em;
    color: #666;
    text-align: center;
}

/* Hero Section */
.hero {
    background-color: #363062;
    padding-top: 2rem;
}
.hero .container {
    background-color: #363062;
}

/* Image-Text Block */
.image-text-block {
    max-width: 1300px;
    width: 100%;
    margin: 0 auto;
    padding: 0 20px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.image-text-block .image {
    max-width: 630px;
    width: 100%;
}

.image-text-block .image img {
    width: 100%;
    height: auto;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.image-text-block .text {
    width: 100%;
    padding: 20px 0;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    color: #fff;
    padding-bottom: 6rem;
}

.image-text-block p {
    font-size: 18px;
}

.image-text-block h2 {
    text-align: unset;
    font-size: 2.25rem;
    line-height: 43.2px;
    color: white;
}

/* Gallery Section */
.gallery {
    background-color: white;
}
.gallery .images {
    display: flex;
    flex-wrap: wrap;
    margin: 0 auto;
    padding-top: 2rem;
    max-width: 1400px;
    justify-content: center;
    gap: 1rem;
}

.gallery .subtitle {
    padding-top: 2rem;
}

.gallery h2 {
    color: #363062;
    margin: 0 auto;
    font-size: 2.25rem;
    padding-top: 3rem;
}

.image-block {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    position: relative;
    max-width: 300px;
}

.image-block .image {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
}

.image-block .image img {
    width: 100%;
    height: auto;
    max-width: 327px;
    max-height: 417px;
}

.image-block .image-text {
    position: absolute;
    bottom: 20px;
    left: 20px;
    right: 20px;
    color: white;
    text-align: center;
    padding: 10px;
    border-radius: 5px;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.image-block .image-text p {
    margin: 0 auto;
    font-family: 'Montserrat', sans-serif;
    font-size: 1.5rem;
    max-width: 290px;
    text-align: center;
    line-height: 28.8px;
}

.image-block .image-text a {
    background-color: #F99417;
    color: white;
    border: 1px solid #F99417;
    padding: 10px 25px;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s, color 0.3s;
    width: fit-content;
    margin: 0 auto;
    font-family: 'Fira Sans', sans-serif;
    font-size: 1rem;
}

.image-block .image-text a:hover {
    background-color: white;
    color: #F99417;
}

/* Responsive Styles */
@media (min-width: 768px) {
    .image-block .image img {
        max-width: 355px;
        max-height: 490px;
    }

    .image-block {
        flex: 1 1 45%;
    }
}

@media (min-width: 1200px) {
    .image-block {
        flex: 1 1 25%;
    }
}

/* Map Section */

.map-container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding: 2rem 0;
}
.map-text-block {
    width: 100%;
    margin: 0 auto;
    padding: 20px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 2rem;
    background-color: white;
}

.map-text-block .map {
    width: 100%;
    max-width: 677px;
    height: 0;
    padding-top: 460px;
    position: relative;
}

.map-text-block .map iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border: 0;
    border-radius: 32px;
}

.map-text-block .text {
    width: 100%;
    padding: 20px 0;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    color: #363062;
    font-size: 18px;
}

.map-text-block h2 {
    margin: 0 auto;
    font-size: 2.25rem;
    line-height: 38.88px;
}

.map-text-block h2,
.map-text-block .text p {
    color: #363062;
}

.subtitle {
    color: #F99417;
    font-family: 'Segoe Script', cursive;
    font-weight: 400;
    font-size: 2.5rem;
    margin-bottom: 1.5rem;
    display: flex;
    justify-content: center;
}

.subtitle::before {
    content: none;
}


/* Buttons Section */
.buttons-section {
    background-color: #363062;
}

.buttons-section .subtitle {
  font-size: 1.5rem;
}

.buttons-section .container {
    padding: 5.5rem 0;
    background-color: #363062;
}

.buttons-section .buttons {
    display: flex;
    flex-direction: column;
    gap: 10px;
    justify-content: center;
    align-items: center;
}

.buttons-section h2 {
    color: #fff;
    margin-bottom: 1rem;
    font-size: 2.25rem;
    margin: 0 auto;
    line-height: 45px;
    margin-bottom: 1.5rem;
}

/* CTA Button */
.button-cta {
    background-color: #F99417;
    color: white;
    border: 2px solid #F99417;
    border-radius: 50px;
    padding: 10px 20px;
    font-size: 1em;
    cursor: pointer;
    transition: all 0.3s ease;
    width: fit-content;
    text-decoration: none;
    font-family: 'Fira Sans', sans-serif;
    font-weight: 400;
    font-size: 20px;
}

.button-cta--square {
    border-radius: 8px;
}

.button-cta:hover {
    background-color: white;
    color: #F99417;
}

/* Footer */
.footer-container {
    background: #363062;
    color: white;
    padding: 10px 20px;
    text-align: center;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 1.5rem;
    font-size: 1.125rem;
}

.footer-menu {
    display: flex;
    flex-direction: row;
    gap: 2rem;
    justify-content: center;
}

.footer-rights {
    border-top: 1px solid white;
    width: 95%;
    margin: 0 auto;
    font-size: 0.875rem;
}

.footer-rights p {
    margin-top: 1.5rem;
}

.footer-link {
    text-decoration: none;
    color: #fff;
    font-family: 'Fira Sans', sans-serif;
}
.footer-link:hover {
    text-decoration: underline;
}

.footer-logo {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 120px;
  }
  
  .footer-logo__image {
    width: 120px;
    height: auto;
    max-width: 100%;
  }
  

/* Breakpoints */
@media (min-width: 576px) {
    .image-text-block, .map-text-block {
        flex-direction: row;
        gap: 1rem;
    }
    .map-text-block {
        padding-top: 7rem;
    }
    .image-text-block .image, .map-text-block .map {
        flex: 1 1 50%;
    }
    .image-text-block .text, .map-text-block .text {
        flex: 1 1 50%;
    }
    .image-text-block .text {
        padding-bottom: unset;
    }
    .buttons-section .buttons {
        flex-direction: row;
    }
}

@media (min-width: 768px) {
    h1 {
        padding-bottom: 1.5rem;
        font-size: 56px;
    }
    .image-text-block {
        gap: 2rem;
        padding-bottom: 3rem;
    }
    .image-text-block h2 {
        font-size: 3.5rem;
        line-height: 67.2px;
    }
    .gallery h2,
    .map-text-block h2,
    .buttons-section h2 {
        font-size: 4rem;
        max-width: 900px;
        line-height: 69.12px;
    }
    .image-block .image-text p {
        margin: 0;
        font-family: 'Montserrat', sans-serif;
        font-size: 1.5rem;
    }
    .map-text-block .map {
        max-width: 800px;
    }
    .map-container {
        flex-direction: row;
        padding: 6rem 0;
        gap: 2rem;
    }
    .gallery .images {
        padding-top: 5rem;
        justify-content: unset;
    }
    .gallery .subtitle {
        padding-top: 5rem;
    }
}

.page-node-type-landing-page {
    overflow: auto;
    align-items: unset;
}

.smooth-scroll {
    text-decoration: none;
    cursor: pointer;
  }